.hamburger {
  @extend %relative;
  display: none;
  height: 20px;
  width: 30px;
  right: 20px;
  z-index: 9999999;
  @media all and (max-width: 1023px) {
    display: inline-block;
  }
  &:hover {
    cursor: pointer;
  }
  .line {
    @extend %absolute;
    @extend %transition-favorite;
    background-color: #ffffff;
    display: block;
    height: 2px;
    width: 100%;
    &:nth-child(1) {
      top: 0;
    }
    &:nth-child(2) {
      top: 48%;
      transform: translateY(-50%);
      .open & {
        -webkit-animation: backIn 0.5s;
        -o-animation: backIn 0.5s;
        animation: backIn 0.5s;
        animation-fill-mode: forwards;
      }
    }
    &:nth-child(3) {
      bottom: 0;
    }
  }
  &.close {
    .line {
      background-color: $brand-color;
      &:nth-child(1) {
        transform: translateY(9px) rotate(45deg);
      }
      &:nth-child(2) {
        -webkit-animation: fadeOut 0.5s;
        -o-animation: fadeOut 0.5s;
        animation: fadeOut 0.5s;
        animation-fill-mode: forwards;
      }
      &:nth-child(3) {
        transform: translateY(-9px) rotate(-45deg);
      }
    }
  }
  &.open {
    .line {
      &:nth-child(2) {
        -webkit-animation: backIn 0.5s;
        -o-animation: backIn 0.5s;
        animation: backIn 0.5s;
        animation-fill-mode: forwards;
      }
    }
  }
  &.no-animation .line:nth-child(2) {
    -webkit-animation: none;
    animation: none;
  }
}

@keyframes fadeOut {
  0% {
    transform: translate3d(-25%, 0px, 0px);
    opacity: 0.9;
    animation-timing-function: ease-out;
  }
  50% {
    transform: translate3d(-75%, 0px, 0px);
    opacity: 0.3;
    animation-timing-function: ease-in;
  }
  100% {
    transform: translate3d(-100%, 0px, 0px);
    opacity: 0;
    animation-timing-function: ease-out;
  }
}
@keyframes backIn {
  0% {
    transform: translate3d(-100%, 0px, 0px);
    opacity: 0;
    top: 47%;
    animation-timing-function: ease-in;
  }
  50% {
    transform: translate3d(-75%, 0px, 0px);
    opacity: 0.3;
    animation-timing-function: ease-in;
  }
  100% {
    transform: translate3d(0px, 0px, 0px);
    top: 47%;
    opacity: 1;
    animation-timing-function: ease-out;
  }
}